body{
    background-color: #1B1B1B;
}

a{
    text-decoration: none;
}

.text-org{
    color: #F56630;
}

img{
    object-fit: cover;
}


.navArea{
    border-top: 1px solid #FFFFFF1A;
    border-bottom: 1px solid #FFFFFF1A;
    padding: 10px 10px 5px 10px;
    padding: 20px 10px 10px 10px;
    text-align: center;
}

.navArea ul li{
    display: inline;
}

.navArea ul li a{
    color: #626262;
    text-decoration: none;
}

.navliActive{
    border-bottom: 2px solid #ffffff;
    padding-bottom: 5px;
}

.navliActive a{
    color: #ffffff !important;
    font-size: 16px;
    font-weight: bolder;
}

.container-custom {
    width: 70% !important;
    margin: auto;
}

.landingImg{
    height: 75vh;
}

.bg-red {
    background-color: #E50914;
}

.text-light {
    color: #FFFFFF;
}

.opacity-30, .text-opacity-30, .opacity-dim {
    opacity: 30%;
}

.opacity-40, .text-opacity-40 {
    opacity: 40%;
}

.opacity-50, .text-opacity-50 {
    opacity: 50% !important;
}

.opacity-60, .text-opacity-60 {
    opacity: 60% !important;
}

.routeLinks {
    text-decoration: none;
}

.light-border {
    border: 1px solid #FFFFFF1A;
}

.border-dashed {
    border-style: dashed !important;
}

.medium-radius {
    border-radius: 20px;
}

/* PIN STYLES PRESETS */
.pin-digits span {
    padding: 6px 20px;
}

.bg-invalid {
    background-color: #F6C1C3;
}

.invalid-border {
    border-color: #FF0000 !important;
}

.bg-succ {
    background-color: #a7f5b7;
}

.succ-border {
    border-color: #44e973 !important;
}

.bg-upload {
    background-color: rgba(255, 255, 255, 0.0602);
    background-color: #ffffff0a;
}

/* TEXT WITH HR BEHIND STYLE */
.text-with-line {
    position: relative;
    display: block;
}

.text-with-line::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    height: 1px;
    background-color: #FFFFFF1A;
    z-index: -1;
}

.text-with-line span { 
    color: #98A2B3;
    background-color: #1B1B1B;
    padding: 0 10px;
    z-index: 1;
    position: relative;
}
/* TEXT WITH LINE BEHIND STYLE ENDS */

.instagram, .x-twitter {
    display: flex;
    justify-content: space-between;
    align-items: center;
    
    button {
        padding: 14px 24px;
    }
}

input::placeholder {
    color: #ffffffb3;
}

.pllemerr input::placeholder{
    color:#000 !important;
}

textarea {
    resize: none;
    height: 264px;
}

.bg-info {
    background-color: #9F9FFF !important;
}

.info-border {
    border-color: #0000FF !important;
}

.rating-input:focus {
    border: 0px none !important;
    outline: none !important;
    box-shadow: none !important;
}

.rating-input {
    appearance: none !important;
    width: 100px;
    height: 50px;
    font-size: 50px;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none !important;
    margin: 0 !important;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield !important;
}

.upload-container {
    width: 400px;
    text-align: center;
}

.drop-zone {
    border: 2px dashed #ddd;
    padding: 50px;
    cursor: pointer;
    position: relative;
    transition: background-color 0.2s;
}

.drop-zone:hover {
    background-color: #f9f9f9;
}

.drop-zone .drop-zone-text {
    font-size: 16px;
    color: #777;
}

.file-input {
    display: none;
}

.preview-container img {
    width: 100px;
    height: auto;
    margin-top: 10px;
}

.finalUpload{
    color: #ffffff;
    padding: 90px;
}

.progress-bar-container {
    width: 100%;
    height: 10px;
    background-color: #ddd;
    margin-top: 20px;
    position: relative;
    display: none;
}

.progress-bar {
    width: 0%;
    height: 100%;
    background-color: #E50914;
    transition: width 0.4s ease;
}

.progress-percentage {
    position: absolute;
    top: -25px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 14px;
    font-weight: bold;
    color: #ffffff;
}

#file-name {
    margin-top: 10px;
    font-size: 14px;
    font-style: italic;
    color: #555;
}

#status-message {
    margin-top: 10px;
}

#uploaded-image-container {
    margin-top: 20px;
}

#uploaded-image-container img {
    width: 100px;
    height: auto;
    margin-left: 10px;
}

.pin-input {
    display: flex;
    gap: 10px;
}

.pin-box {
    width: 40px;
    height: 40px;
    font-size: 24px;
    text-align: center;
    border: 2px solid #ccc;
    border-radius: 5px;
    outline: none;
    position: relative;
}

.pin-box:focus {
    border-color: #E50914;
}

.pin-box::placeholder {
    color: #aaa;
    font-size: 24px;
    text-align: center;
}

.pin-box:valid::placeholder {
    color: transparent;
}

.pin-box::before {
    content: '-';
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    color: #aaa;
    pointer-events: none;
}

.pin-box:focus::before {
    content: '';
}

.pin-box:valid::before {
    content: '';
}

.hidden {
    display: none;
}

.dropdown-menu.show{
    background-color: #141414 !important;
}

.dropdown-menu.show li a{
    color: #ffffff !important;
    font-weight: bolder !important;
}

.dropdown-menu.show li a:hover{
    background-color: #141414 !important;
}

.dropdown-item{
    padding: 5px;
    cursor: pointer;
}

#fruitDropdown{
    height: 40px;
    width: 100px;
    background-color: #242424;
    border: none;
    color: #ffffff;
    margin-right: 10px;
    border-radius: 5px;
    padding: 5px;
}

.timerDisplay{
    width: 80px;
    height: 80px;
    border-radius: 50%;
    background-color: hsl(357, 92%, 47%);
    color: #ffffff;
    padding-top: 28px;
}

.timerDisplayCont{
    border: 1px solid #888F97;
    border-radius: 5px;
    padding: 5px 20px;
    font-size: 40px;
}

.timerDisplayContr{
    border: 1px solid #3E0A0C;
    background-color: #200A0B;
    border-radius: 5px;
    padding: 5px 20px;
    font-size: 40px;
}

.previewDiv{
    width: 280px;
    position: relative;
}

.previewDiv img{
    width:280px !important;
    height:280px !important;
}

.previewDivIcon{
    position: absolute;
    z-index:34;
    top: 0;
    right:0;
    padding:10px;
}

.previewDivIcon a img{
    width:35px !important;
    height:35px !important;
}


.previewDivImage{
    width: 50px;
    height: 250px;
}

.previewConImage{
    width: 200px;
    height: 150px;
}

.previewDivText{
    background-color: #151515;
    color: #ffffff;
    padding: 10px;
    border-radius: 5px;
    font-size: 14px;
    width: 200px;
    height: 150px;
    overflow-y: scroll;
    text-align: justify;
}

.previewDivAudio{
    width: 200px;
    height: 150px;
}

.previewDivTextRate{
    background-color: #151515;
    color: #ffffff;
    padding: 10px;
    border-radius: 5px;
    font-size: 10px;
    width: 200px;
    height: 150px;
    overflow-y: scroll;
    text-align: center;
}

.previewRTextBig{
    font-size: 18px;
    margin-right: 5px;
}

.previewRTextsm{
    color: #8A8A8A;
}

.previewDivfooter{
    font-size: 10px;
}

.dashImage{
    width: 100%;
    height: 300px;
}

.ellipsis-text {
    width: 200px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}